QGIS Application - Bug report #1796
Multi-line text in a SVG file is not drawn correctly in Print Composer
2009-07-20 06:55 AM - craigleat -

Status: Open

Priority: Low

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 11856
Description

The attached file is an inkscape SVG containing an A2 titleblock. The multi-line text is drawn on a single line when the SVG is imported
into Print Composer.

History

#1 - 2009-07-20 07:03 AM - craigleat -

This bug was created from:
http://trac.osgeo.org/qgis/ticket/1647

#2 - 2009-07-20 07:05 AM - Giovanni Manghi

This is duplicate of #1647 (see below the last comment) and seems to be not a qgis problem.

Multiline text often fails to import correctly. There are two possible solutions (outside of QGIS):

* Fix the import problems in QT (I believe that's the desired route)

* Fix the Inkscape export - which is theoretically standards compliant - but a bit awkward as it outputs everything in styles and uses strange

repeated/redundant style and placement attributes. Once the attributes are cleaned up manuall, QGIS importst the SVGs fine

| would recommend fixing both issues - but it is somehow outside the scope of QGIS. So | guess we can really close this bug. It's probably not

solved but it can't be solved in QGIS directly.

We should knock on Nokia/Trolltech and Inkscape door to get this fixed.

#3 - 2009-07-20 07:17 AM - craigleat -

| don't think it is a duplicate since #1647 is an enhancement and moreover has been closed. The current bug should remain open until fixed since it affects
usability. If it needs to be fixed upstream then great it won't consume our devs' time.

#4 - 2009-07-20 07:26 AM - craigleat -

Replying to [comment:2 lutra]:
- Fix the Inkscape export
Inkscape appears to work correctly as the SVG file attached to this ticket displays properly in Firefox. The problem seems to be with QGIS or its
dependencies.

#5 - 2009-09-30 02:31 AM - Marco Hugentobler

This is most likely a bug in the Qt svg code

#6 - 2009-09-30 02:57 AM - craigleat -

Replying to [comment:6 mhugent]:

This is most likely a bug in the Qt svg code

Marco, are you able to report this on the Qt Task Tracker? Sorry, but | don't feel | know enough Qt to make a meaningful bug report.

http://gt.nokia.com/developer/task-tracker

#7 - 2011-12-16 01:57 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Veersion 1.7.4

#8 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

#9 - 2012-09-04 12:04 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2014-04-06 06:02 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#11 - 2014-06-22 12:21 AM - Nyall Dawson
- Assignee deleted (nobody -)
- Pull Request or Patch supplied set to No

- Resolution set to up/downstream

#12 - 2014-06-28 07:37 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#13 - 2015-11-17 06:10 AM - Médéric RIBREUX
- Status changed from Open to Feedback

Hello, bug triage...

this bug is still present in QGIS 2.13 master.

2025-05-17 2/3


http://qt.nokia.com/developer/task-tracker

#14 - 2015-11-17 06:10 AM - Médéric RIBREUX
- Operating System changed from Linux to All
- OS version deleted (ubuntu 9.04)

#15 - 2015-12-12 02:59 AM - Médéric RIBREUX
- Status changed from Feedback to Open

#16 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#17 - 2018-02-24 11:33 PM - Alessandro Sarretta

Still present in QGIS 3.0

#18 - 2018-02-25 05:11 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.0.0
- Operating System deleted (All)

Files
A2_Test.zip 131 KB 2009-07-20 craigleat -
